org.eclipse.mat.ui.internal.browser

## Interface QueryBrowserPopup.Element

Enclosing class:
  QueryBrowserPopup

    public static interface QueryBrowserPopup.Element

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `execute(MultiPaneEditor editor)`
`ImageDescriptor` `getImageDescriptor()`
`String` `getLabel()`
`QueryDescriptor` `getQuery()`
`String` `getUsage()`

### Method Detail

#### getLabel

    String getLabel()

#### getUsage

    String getUsage()

#### getQuery

    QueryDescriptor getQuery()

#### getImageDescriptor

    ImageDescriptor getImageDescriptor()

#### execute

    void execute(MultiPaneEditor editor)
          throws SnapshotException

Throws:
  `SnapshotException`